Subject: Re: [bug#29409] Remove hugetlb control group on ARM32.

From: Danny Milosavljevic <[email-masked]>
Date: Thu, 21 Dec 2017 09:57:52 +0100

Hi Mathieu,

On Wed, 20 Dec 2017 20:15:07 +0100
Mathieu Othacehe <[email-masked]> wrote:

> I'm not sure what do about, a workaround could be the ugly hack
> attached, WDYT ?

I researched cgroups a bit and it seems that /sys/fs/cgroup/hugetlb is for configuration of hugetlb and that cgroups themselves don't require hugetlb - and neither does elogind.

There could be any number of reasons hugetlb doesn't work (custom kernel config etc).

We could use (file-exists? "/proc/sys/vm/nr_hugepages") in order to test for hugetlb support.  The proc filesystem is already mounted at this point.

Alternatively, it would be possible to use (needed-for-boot? #f) for the hugetlb cgroup file-system.  In that case, maybe failure isn't so bad.  I didn't test that, however.

If we want to make this ARM-specific we can do that too, but I think it's more general than that.